/*
* Copyright (C) 2025, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: iaom <zhangpengfei@kylinos.cn>
 *
 */

#ifndef APPLICATION_ICON_PROXY_H
#define APPLICATION_ICON_PROXY_H

#include <QObject>

namespace UkuiQuick {

class ApplicationIconProxyPrivate;
class ApplicationIconProxy : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString appId READ appId WRITE setAppId NOTIFY appIdChanged FINAL)
    Q_PROPERTY(QString icon READ icon NOTIFY iconChanged FINAL)
public:
    explicit ApplicationIconProxy(QObject *parent = nullptr);
    explicit ApplicationIconProxy(const QString &appId, QObject *parent = nullptr);
    ~ApplicationIconProxy() override;
    QString appId() const;
    void setAppId(const QString &appId);

    QString icon() const;

Q_SIGNALS:
    void appIdChanged();
    void iconChanged();
private:
    ApplicationIconProxyPrivate *d = nullptr;
    Q_DISABLE_COPY(ApplicationIconProxy)
};

}


#endif //APPLICATION_ICON_PROXY_H
